package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 自动打卡
 * 打卡范围缓存类
 */
public class KQAutoTimeRangeComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_auto_timerange";
	/** sql中的where信息，不要以where开始 */
	protected static String TABLE_WHERE = null;
	/** sql中的order by信息，不要以order by开始 */
	protected static String TABLE_ORDER = "id";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "user_kq_date";

	@CacheColumn(name = "kq_param")
	protected static int kq_param;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

	public String getKq_param() { return (String)getRowValue(kq_param); }

	public String getKq_param(String key)
	{
		return (String)getValue(kq_param,key);
	}

}